package com.heyu.api.data.dao.operation;
/**
* <p>
* 场景列表，同一个时间点，如果行为有冲突，以最后添加的条件为准（时间精度：分） 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.operation.OperatinSceneEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface OperatinSceneDao extends BaseMapper<OperatinSceneEntity> {


	OperatinSceneEntity selectOperatinSceneById(@Param("id")Long id);


	Long insertOperatinScene(OperatinSceneEntity operatinScene);


	Long insertOrUpdateOperatinScene(OperatinSceneEntity operatinScene);


	int updateOperatinSceneById(OperatinSceneEntity operatinScene);


	int updateCoverOperatinSceneById(OperatinSceneEntity operatinScene);


	int deleteOperatinSceneById(@Param("id")Long id);


}